CAST Strategy Tutor

CAST Strategy Tutor Installation Requirements

1 Download Firefox 1.5 or newer Firefox logo

You need Firefox 1.5 or newer to use Strategy Tutor. Need Firefox? Go to http://mozilla.com to download it for free.

2 Download Flash v. 7.0 or higher

Go to adobe.com to add the Flash v.7.0 or newer plugin to Firefox.

3 Download the Strategy Tutor sidebar to Firefox

Add the Strategy Tutor sidebar to the Firefox browser. Install

4 Download ClickSpeak or other Text-to-Speech tool (optional)

Add ClickSpeak to Firefox Install Click, Speak

5 Create your Teacher Account

Create Account



<< Home